#ifndef SABLEXHOST_H
#define SABLEXHOST_H

#define SABLE_X_RESET_NOTIFICATION_EVT              0x01
#define SABLE_X_QUERY_FIRMWARE_RESP_EVT             0x02
#define SABLE_X_QUERY_MAC_EVT                       0x03
#define SABLE_X_QUERY_MAC_RESP_EVT                  0x04
#define SABLE_X_RESTORE_FACTORY_DEFAULTS_EVT        0x05
#define SABLE_X_RESTORE_FACTORY_DEFAULTS_RESP_EVT   0x06
#define SABLE_X_SET_PERIPH_LED_PARAMS_RESP_EVT      0x07
#define SABLE_X_SET_ADVERTISING_PARAMS_RESP_EVT     0x08
#define SABLE_X_SET_ADVERTISING_ENABLE_RESP_EVT     0x09
#define SABLE_X_SET_CONNECTION_PARAMS_RESP_EVT      0x0A
#define SABLE_X_SET_DEV_BOARD_ENABLE_RESP_EVT       0x0B
#define SABLE_X_SET_LPM_PARAMS_RESP_EVT             0x0C
#define SABLE_X_SET_LPM_MODE_RESP_EVT               0x0D
#define SABLE_X_LINK_STATUS_EVT                     0x0E
#define SABLE_X_WAKE_HOST_EVT                       0x0F
#define SABLE_X_RECEIVE_OTA_DATA_EVT                0x10
#define SABLE_X_UART_TX_COMPLETE                    0x11
#define SABLE_X_SEND_SESNSOR_DATA_OTA               0x12
#define SABLE_X_MODULE_AWAKE_EVT                    0x13
#define SABLE_X_QUERY_DEV_SENSORS_RESP_EVT          0x14
#define SABLE_X_TRANSFER_OTA_EVT                    0x15
#define SABLE_X_SEND_OTA_DATA_RESP_EVT              0x16
#define SABLE_X_RF_ACK_EVT                          0x17

/* The definition of each message sent from tasks and interrupts to the LCD
task. */
typedef struct
{
	char* pcMessage;
} xLcdQueueMessage;

extern QueueHandle_t xLCDQueue;

extern void SaBLExHost_StartTask( UBaseType_t uxPriority);
extern bool SaBLExHost_Asleep( void );
extern void SaBLExHost_SetAwake( void );
extern void SaBLExHost_EnqueueEvt(uint8_t u8Event, uint16_t u16Param, void* pvData);
void SaBLExHost_EnqueueEvtFromISR(uint8_t u8Event, uint16_t u16Param, void* pvData);
#endif