#ifndef CIRCULARBUFFER_H
#define CIRCULARBUFFER_H

#include <stdint.h>

typedef struct circular_buffer
{
    char *buffer;     // data buffer
    char* buffer_end; // end of data buffer
    uint16_t capacity;  // maximum number of items in the buffer
    volatile char *head;       // pointer to head
    volatile char* tail;       // pointer to tail
} circular_buffer_t;

extern void cb_init(circular_buffer_t *cb, uint16_t capacity);
extern void cb_free(circular_buffer_t *cb);
extern void cb_push_back(circular_buffer_t *cb, const char *item);
extern void cb_pop_front(circular_buffer_t *cb, char *item);
extern void cb_pop_front_no_read(circular_buffer_t *cb);

#endif